package com.unis.statisticalAnalysis.modular.kczl.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class BusinessQcQualityInspectionItem {

    private Integer parentInspectionItemId;
    private String parentInspectionItemName;

    private String inspectionItemName;
    private Integer id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createdate;

    private String updatename;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date updatedate;
    @ApiModelProperty(value = "检验项目；basic_enum的id")
    private Integer qcQualityInspectionId;

    private Integer inspectionItemId;

    @ApiModelProperty(value = "检验值")
    private String inspectionValue;

    private String singleConclusion;

    private String inspectionMethod;

    /**
     * 主键ID
     * @return id 主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 创建日期
     * @return createdate 创建日期
     */
    public Date getCreatedate() {
        return createdate;
    }

    /**
     * 创建日期
     * @param createdate 创建日期
     */
    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    /**
     * 更新人
     * @return updatename 更新人
     */
    public String getUpdatename() {
        return updatename;
    }

    /**
     * 更新人
     * @param updatename 更新人
     */
    public void setUpdatename(String updatename) {
        this.updatename = updatename == null ? null : updatename.trim();
    }

    /**
     * 更新日期
     * @return updatedate 更新日期
     */
    public Date getUpdatedate() {
        return updatedate;
    }

    /**
     * 更新日期
     * @param updatedate 更新日期
     */
    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    /**
     * business_qc_quality_inspection的id
     * @return qc_quality_inspection_id business_qc_quality_inspection的id
     */
    public Integer getQcQualityInspectionId() {
        return qcQualityInspectionId;
    }

    /**
     * business_qc_quality_inspection的id
     * @param qcQualityInspectionId business_qc_quality_inspection的id
     */
    public void setQcQualityInspectionId(Integer qcQualityInspectionId) {
        this.qcQualityInspectionId = qcQualityInspectionId;
    }

    /**
     * 检验项目；basic_enum的id；
     * @return inspection_item_id 检验项目；basic_enum的id；
     */
    public Integer getInspectionItemId() {
        return inspectionItemId;
    }

    /**
     * 检验项目；basic_enum的id；
     * @param inspectionItemId 检验项目；basic_enum的id；
     */
    public void setInspectionItemId(Integer inspectionItemId) {
        this.inspectionItemId = inspectionItemId;
    }

    /**
     * 检验值
     * @return inspection_value 检验值
     */
    public String getInspectionValue() {
        return inspectionValue;
    }

    /**
     * 检验值
     * @param inspectionValue 检验值
     */
    public void setInspectionValue(String inspectionValue) {
        this.inspectionValue = inspectionValue == null ? null : inspectionValue.trim();
    }

    /**
     * 单项结论
     * @return single_conclusion 单项结论
     */
    public String getSingleConclusion() {
        return singleConclusion;
    }

    /**
     * 单项结论
     * @param singleConclusion 单项结论
     */
    public void setSingleConclusion(String singleConclusion) {
        this.singleConclusion = singleConclusion == null ? null : singleConclusion.trim();
    }

    /**
     * 检验方法
     * @return inspection_method 检验方法
     */
    public String getInspectionMethod() {
        return inspectionMethod;
    }

    /**
     * 检验方法
     * @param inspectionMethod 检验方法
     */
    public void setInspectionMethod(String inspectionMethod) {
        this.inspectionMethod = inspectionMethod == null ? null : inspectionMethod.trim();
    }
}